Name:           perl-Text-CharWidth
Version:        0.04
Release:        38
License:        GPL+ or Artistic

Summary:        Get the number of columns occupied by the terminal string
URL:            https://metacpan.org/release/Text-CharWidth
Source0:        https://cpan.metacpan.org/authors/id/K/KU/KUBOTA/Text-CharWidth-%{version}.tar.gz

BuildRequires:  gcc make perl-devel perl-generators  perl(Exporter) perl(XSLoader) perl(strict)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Test::Simple) perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This package provides and wcswidth (3) and wcwidth (3) equivalent functions.
While also providing mblen (3) equivalent to the subroutine.


%package help
Summary: Help documents for perl-Text-CharWidth

%description help
Man pages and other related help documents for perl-Text-CharWidth.

%prep
%autosetup -n Text-CharWidth-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README Changes
%{perl_vendorarch}/{Text,auto/Text}

%files help
%{_mandir}/man3/Text::CharWidth.3pm*

%changelog
* Sat Dec 24 2022 wanglimin <wanglimin@xfusion.com> - 0.04-38
- Fix date error

* Wed 02 Jun 2021 zhaoyao<zhaoyao32@huawei.com> - 0.04-37
- fixs faileds: /bin/sh: gcc: command not found.

* Fri Nov 29 2019 duyeyu <duyeyu@huawei.com> - 0.04-36
- Package init
